package cn.edu.pku.booking.account;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.FacesValidator;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import javax.inject.Inject;

import org.jboss.seam.faces.validation.InputField;
import org.jboss.seam.international.status.builder.BundleTemplateMessage;

import cn.edu.pku.booking.i18n.DefaultBundleKey;

/**
 * 判断两个密码是否相等的Validator
 * 
 * @author dachao
 */
@FacesValidator("confirmPassword")
public class ConfirmPasswordValidator implements Validator {
	@Inject
	private BundleTemplateMessage messageBuilder;

	@Inject
	@InputField
	private String password;

	@Inject
	@InputField
	private String confirmPassword;

	public void validate(final FacesContext ctx, final UIComponent form,
			final Object components) throws ValidatorException {
		if (password == null || confirmPassword == null) {
			return;
		}

		if (!password.equals(confirmPassword)) {
			throw new ValidatorException(new FacesMessage(messageBuilder
					.key(new DefaultBundleKey("account_passwordsDoNotMatch"))
					.defaults("Passwords do not match").build().getText()));
		}
	}

}
