package cn.edu.pku.booking.account;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.FacesValidator;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import javax.inject.Inject;

import org.jboss.seam.international.status.Messages;
import org.jboss.seam.international.status.builder.BundleTemplateMessage;

import cn.edu.pku.booking.i18n.DefaultBundleKey;
import cn.edu.pku.booking.model.User;

@FacesValidator("currentPassword")
public class CurrentPasswordValidator implements Validator {
	@Inject
	private BundleTemplateMessage messageBuilder;

	@Inject
	@Authenticated
	private User currentUser;

	@Inject
	Messages messages;

	public void validate(final FacesContext ctx, final UIComponent comp,
			final Object value) throws ValidatorException {
		String currentPassword = (String) value;
		if ((currentUser.getPassword() != null)
				&& !currentUser.getPassword().equals(currentPassword)) {
			throw new ValidatorException(new FacesMessage(messageBuilder
					.key(new DefaultBundleKey("account_passwordsDoNotMatch"))
					.defaults("Passwords do not match").build().getText()));
		}
	}

}
