package cn.edu.pku.booking.account;

import javax.ejb.Stateful;
import javax.enterprise.context.SessionScoped;
import javax.enterprise.event.Observes;
import javax.enterprise.inject.Produces;
import javax.inject.Named;
import javax.servlet.http.HttpServletRequest;

import cn.edu.pku.booking.model.User;

/**
 * 当前用户管理
 * 
 * @author dachao
 */
@Stateful
@SessionScoped
public class CurrentUserManager {
	private User currentUser;

	@Produces
	@Authenticated
	@Named("currentUser")
	public User getCurrentAccount() {
		return currentUser;
	}

	public void onLogin(@Observes @Authenticated User user,
			HttpServletRequest request) {
		currentUser = user;
		request.getSession().setMaxInactiveInterval(3600);
	}
}
