package cn.edu.pku.booking.account;

import javax.ejb.Stateful;
import javax.enterprise.inject.Model;
import javax.inject.Inject;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.jboss.seam.international.status.Messages;

import cn.edu.pku.booking.i18n.DefaultBundleKey;
import cn.edu.pku.booking.model.User;

/**
 * 改变用户密码的controller
 * @author dachao
 */
@Stateful
@Model
public class PasswordManager {
    @PersistenceContext
    private EntityManager em;

    @Inject
    private Messages messages;

    @Inject
    @Authenticated
    private User user;

    @NotNull
    @Size(min = 5, max = 15)
    private String confirmPassword;

    private boolean changed;

    public void changePassword() {
        em.merge(user);
        messages.info(new DefaultBundleKey("account_passwordChanged")).defaults("Password successfully updated.");
        changed = true;
    }

    public boolean isChanged() {
        return changed;
    }

    public void setConfirmPassword(final String password) {
        confirmPassword = password;
    }

    public String getConfirmPassword() {
        return confirmPassword;
    }

}
