package cn.edu.pku.booking.book;

import javax.inject.Inject;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.ObjectMessage;

import org.jboss.solder.logging.Logger;

import cn.edu.pku.booking.model.Booking;

public class ReservationNotifier implements MessageListener {
    @Inject
    private Logger log;

    public void onMessage(Message message) {
        try {
            Booking booking = (Booking) ((ObjectMessage) message).getObject();
            log.info("Book succuessfully, send info to " +  booking.getUser().getEmailWithName());
        } catch (JMSException ex) {
            log.error("Error reading booking from topic");
        }
    }

}
