package cn.edu.pku.booking.exceptioncontrol;

import java.io.IOException;

import javax.enterprise.context.NonexistentConversationException;
import javax.faces.context.FacesContext;
import javax.inject.Inject;

import org.jboss.solder.logging.Logger;
import org.jboss.solder.exception.control.CaughtException;
import org.jboss.solder.exception.control.Handles;
import org.jboss.solder.exception.control.HandlesExceptions;

/**
 * Exception Handler for Conversation Exception
 * 
 * @author dachao
 */

@HandlesExceptions
public class ConversationExceptionHandler {
	@Inject
	private FacesContext facesContext;

	public void conversationEndedExceptionHandler(
			@Handles CaughtException<NonexistentConversationException> event,
			Logger log) {
		log.info("Conversation ended: " + event.getException().getMessage());
		try {
			facesContext.getExternalContext().redirect("conversation_ended");
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
